diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/comment.php ./wordpress-3.4/wp-includes/comment.php
*** ./wordpress-3.3.2/wp-includes/comment.php	2011-10-06 16:09:37.000000000 -0500
--- ./wordpress-3.4/wp-includes/comment.php	2012-04-23 17:04:35.000000000 -0500
***************
*** 539,550 ****
   * @link http://codex.wordpress.org/Function_Reference/get_comment_meta
   *
   * @param int $comment_id Comment ID.
!  * @param string $key The meta key to retrieve.
   * @param bool $single Whether to return a single value.
   * @return mixed Will be an array if $single is false. Will be value of meta data field if $single
   *  is true.
   */
! function get_comment_meta($comment_id, $key, $single = false) {
  	return get_metadata('comment', $comment_id, $key, $single);
  }
  
--- 538,549 ----
   * @link http://codex.wordpress.org/Function_Reference/get_comment_meta
   *
   * @param int $comment_id Comment ID.
!  * @param string $key Optional. The meta key to retrieve. By default, returns data for all keys.
   * @param bool $single Whether to return a single value.
   * @return mixed Will be an array if $single is false. Will be value of meta data field if $single
   *  is true.
   */
! function get_comment_meta($comment_id, $key = '', $single = false) {
  	return get_metadata('comment', $comment_id, $key, $single);
  }
  
***************
*** 571,576 ****
--- 570,594 ----
  }
  
  /**
+  * Sets the cookies used to store an unauthenticated commentator's identity. Typically used
+  * to recall previous comments by this commentator that are still held in moderation.
+  *
+  * @param object $comment Comment object.
+  * @param object $user Comment author's object.
+  *
+  * @since 3.4.0
+  */
+ function wp_set_comment_cookies($comment, $user) {
+ 	if ( $user->exists() )
+ 		return;
+ 
+ 	$comment_cookie_lifetime = apply_filters('comment_cookie_lifetime', 30000000);
+ 	setcookie('comment_author_' . COOKIEHASH, $comment->comment_author, time() + $comment_cookie_lifetime, COOKIEPATH, COOKIE_DOMAIN);
+ 	setcookie('comment_author_email_' . COOKIEHASH, $comment->comment_author_email, time() + $comment_cookie_lifetime, COOKIEPATH, COOKIE_DOMAIN);
+ 	setcookie('comment_author_url_' . COOKIEHASH, esc_url($comment->comment_author_url), time() + $comment_cookie_lifetime, COOKIEPATH, COOKIE_DOMAIN);
+ }
+ 
+ /**
   * Sanitizes the cookies sent to the user already.
   *
   * Will only do anything if the cookies have already been created for the user.
***************
*** 685,693 ****
  			do_action('comment_flood_trigger', $time_lastcomment, $time_newcomment);
  
  			if ( defined('DOING_AJAX') )
! 				die( __('You are posting comments too quickly.  Slow down.') );
  
! 			wp_die( __('You are posting comments too quickly.  Slow down.'), '', array('response' => 403) );
  		}
  	}
  }
--- 703,711 ----
  			do_action('comment_flood_trigger', $time_lastcomment, $time_newcomment);
  
  			if ( defined('DOING_AJAX') )
! 				die( __('You are posting comments too quickly. Slow down.') );
  
! 			wp_die( __('You are posting comments too quickly. Slow down.'), '', array('response' => 403) );
  		}
  	}
  }
***************
*** 723,729 ****
   * @uses get_option() Used to fill in defaults for parameters.
   * @uses Walker_Comment
   *
!  * @param array $comments Optional array of comment objects.  Defaults to $wp_query->comments
   * @param int $per_page Optional comments per page.
   * @param boolean $threaded Optional control over flat or threaded comments.
   * @return int Number of comment pages.
--- 741,747 ----
   * @uses get_option() Used to fill in defaults for parameters.
   * @uses Walker_Comment
   *
!  * @param array $comments Optional array of comment objects. Defaults to $wp_query->comments
   * @param int $per_page Optional comments per page.
   * @param boolean $threaded Optional control over flat or threaded comments.
   * @return int Number of comment pages.
***************
*** 962,976 ****
  	}
  
  	// Delete metadata
! 	$meta_ids = $wpdb->get_col( $wpdb->prepare( "SELECT meta_id FROM $wpdb->commentmeta WHERE comment_id = %d ", $comment_id ) );
! 	if ( !empty($meta_ids) ) {
! 		do_action( 'delete_commentmeta', $meta_ids );
! 		$in_meta_ids = "'" . implode("', '", $meta_ids) . "'";
! 		$wpdb->query( "DELETE FROM $wpdb->commentmeta WHERE meta_id IN ($in_meta_ids)" );
! 		do_action( 'deleted_commentmeta', $meta_ids );
! 	}
  
! 	if ( ! $wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->comments WHERE comment_ID = %d LIMIT 1", $comment_id) ) )
  		return false;
  	do_action('deleted_comment', $comment_id);
  
--- 980,990 ----
  	}
  
  	// Delete metadata
! 	$meta_ids = $wpdb->get_col( $wpdb->prepare( "SELECT meta_id FROM $wpdb->commentmeta WHERE comment_id = %d", $comment_id ) );
! 	foreach ( $meta_ids as $mid )
! 		delete_metadata_by_mid( 'comment', $mid );
  
! 	if ( ! $wpdb->delete( $wpdb->comments, array( 'comment_ID' => $comment_id ) ) )
  		return false;
  	do_action('deleted_comment', $comment_id);
  
***************
*** 1116,1122 ****
  
  	$approved = $comment->comment_approved;
  
! 	if ( $approved == NULL )
  		return false;
  	elseif ( $approved == '1' )
  		return 'approved';
--- 1130,1136 ----
  
  	$approved = $comment->comment_approved;
  
! 	if ( $approved == null )
  		return false;
  	elseif ( $approved == '1' )
  		return 'approved';
***************
*** 1364,1380 ****
  /**
   * Sets the status of a comment.
   *
!  * The 'wp_set_comment_status' action is called after the comment is handled and
!  * will only be called, if the comment status is either 'hold', 'approve', or
!  * 'spam'. If the comment status is not in the list, then false is returned and
!  * if the status is 'delete', then the comment is deleted without calling the
!  * action.
   *
   * @since 1.0.0
   * @uses wp_transition_comment_status() Passes new and old comment status along with $comment object
   *
   * @param int $comment_id Comment ID.
!  * @param string $comment_status New comment status, either 'hold', 'approve', 'spam', or 'delete'.
   * @param bool $wp_error Whether to return a WP_Error object if there is a failure. Default is false.
   * @return bool False on failure or deletion and true on success.
   */
--- 1378,1391 ----
  /**
   * Sets the status of a comment.
   *
!  * The 'wp_set_comment_status' action is called after the comment is handled.
!  * If the comment status is not in the list, then false is returned.
   *
   * @since 1.0.0
   * @uses wp_transition_comment_status() Passes new and old comment status along with $comment object
   *
   * @param int $comment_id Comment ID.
!  * @param string $comment_status New comment status, either 'hold', 'approve', 'spam', or 'trash'.
   * @param bool $wp_error Whether to return a WP_Error object if there is a failure. Default is false.
   * @return bool False on failure or deletion and true on success.
   */
***************
*** 1568,1577 ****
  	$new = (int) $wpdb->get_var( $wpdb->prepare("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved = '1'", $post_id) );
  	$wpdb->update( $wpdb->posts, array('comment_count' => $new), array('ID' => $post_id) );
  
! 	if ( 'page' == $post->post_type )
! 		clean_page_cache( $post_id );
! 	else
! 		clean_post_cache( $post_id );
  
  	do_action('wp_update_comment_count', $post_id, $new, $old);
  	do_action('edit_post', $post_id, $post);
--- 1579,1585 ----
  	$new = (int) $wpdb->get_var( $wpdb->prepare("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved = '1'", $post_id) );
  	$wpdb->update( $wpdb->posts, array('comment_count' => $new), array('ID' => $post_id) );
  
! 	clean_post_cache( $post );
  
  	do_action('wp_update_comment_count', $post_id, $new, $old);
  	do_action('edit_post', $post_id, $post);
***************
*** 1801,1807 ****
  		endif;
  	endforeach;
  
! 	do_action_ref_array('pre_ping', array(&$post_links, &$pung));
  
  	foreach ( (array) $post_links as $pagelinkedto ) {
  		$pingback_server_url = discover_pingback_server_uri( $pagelinkedto );
--- 1809,1815 ----
  		endif;
  	endforeach;
  
! 	do_action_ref_array( 'pre_ping', array( &$post_links, &$pung, $post_ID ) );
  
  	foreach ( (array) $post_links as $pagelinkedto ) {
  		$pingback_server_url = discover_pingback_server_uri( $pagelinkedto );
***************
*** 1947,1953 ****
  //
  
  /**
!  * Close comments on old posts on the fly, without any extra DB queries.  Hooked to the_posts.
   *
   * @access private
   * @since 2.7.0
--- 1955,1961 ----
  //
  
  /**
!  * Close comments on old posts on the fly, without any extra DB queries. Hooked to the_posts.
   *
   * @access private
   * @since 2.7.0
***************
*** 1977,1983 ****
  }
  
  /**
!  * Close comments on an old post.  Hooked to comments_open and pings_open.
   *
   * @access private
   * @since 2.7.0
--- 1985,1991 ----
  }
  
  /**
!  * Close comments on an old post. Hooked to comments_open and pings_open.
   *
   * @access private
   * @since 2.7.0
***************
*** 2008,2012 ****
  
  	return $open;
  }
- 
- ?>
--- 2016,2018 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/comment-template.php ./wordpress-3.4/wp-includes/comment-template.php
*** ./wordpress-3.3.2/wp-includes/comment-template.php	2011-11-14 15:35:44.000000000 -0600
--- ./wordpress-3.4/wp-includes/comment-template.php	2012-06-01 15:47:08.000000000 -0500
***************
*** 55,61 ****
   * @uses apply_filters() Calls the 'get_comment_author_email' hook on the comment author email
   * @uses $comment
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's email.  Optional.
   * @return string The current comment author's email
   */
  function get_comment_author_email( $comment_ID = 0 ) {
--- 55,61 ----
   * @uses apply_filters() Calls the 'get_comment_author_email' hook on the comment author email
   * @uses $comment
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's email. Optional.
   * @return string The current comment author's email
   */
  function get_comment_author_email( $comment_ID = 0 ) {
***************
*** 141,147 ****
   * @since 1.5.0
   * @uses apply_filters() Calls 'get_comment_author_link' hook on the complete link HTML or author
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's link.  Optional.
   * @return string Comment Author name or HTML link for author's URL
   */
  function get_comment_author_link( $comment_ID = 0 ) {
--- 141,147 ----
   * @since 1.5.0
   * @uses apply_filters() Calls 'get_comment_author_link' hook on the complete link HTML or author
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's link. Optional.
   * @return string Comment Author name or HTML link for author's URL
   */
  function get_comment_author_link( $comment_ID = 0 ) {
***************
*** 189,195 ****
   * @since 0.71
   * @see get_comment_author_IP() Echoes Result
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's IP address.  Optional.
   */
  function comment_author_IP( $comment_ID = 0 ) {
  	echo get_comment_author_IP( $comment_ID );
--- 189,195 ----
   * @since 0.71
   * @see get_comment_author_IP() Echoes Result
   *
!  * @param int $comment_ID The ID of the comment for which to print the author's IP address. Optional.
   */
  function comment_author_IP( $comment_ID = 0 ) {
  	echo get_comment_author_IP( $comment_ID );
***************
*** 201,207 ****
   * @since 1.5.0
   * @uses apply_filters() Calls 'get_comment_author_url' hook on the comment author's URL
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's URL.  Optional.
   * @return string
   */
  function get_comment_author_url( $comment_ID = 0 ) {
--- 201,207 ----
   * @since 1.5.0
   * @uses apply_filters() Calls 'get_comment_author_url' hook on the comment author's URL
   *
!  * @param int $comment_ID The ID of the comment for which to get the author's URL. Optional.
   * @return string
   */
  function get_comment_author_url( $comment_ID = 0 ) {
***************
*** 384,390 ****
   * @since 0.71
   *
   * @param string $d The format of the date (defaults to user's config)
!  * @param int $comment_ID The ID of the comment for which to print the date.  Optional.
   */
  function comment_date( $d = '', $comment_ID = 0 ) {
  	echo get_comment_date( $d, $comment_ID );
--- 384,390 ----
   * @since 0.71
   *
   * @param string $d The format of the date (defaults to user's config)
!  * @param int $comment_ID The ID of the comment for which to print the date. Optional.
   */
  function comment_date( $d = '', $comment_ID = 0 ) {
  	echo get_comment_date( $d, $comment_ID );
***************
*** 769,775 ****
   * @param int $post_id An optional post ID to check instead of the current post.
   * @return bool True if the comments are open
   */
! function comments_open( $post_id=NULL ) {
  
  	$_post = get_post($post_id);
  
--- 769,775 ----
   * @param int $post_id An optional post ID to check instead of the current post.
   * @return bool True if the comments are open
   */
! function comments_open( $post_id = null ) {
  
  	$_post = get_post($post_id);
  
***************
*** 786,792 ****
   * @param int $post_id An optional post ID to check instead of the current post.
   * @return bool True if pings are accepted
   */
! function pings_open( $post_id = NULL ) {
  
  	$_post = get_post($post_id);
  
--- 786,792 ----
   * @param int $post_id An optional post ID to check instead of the current post.
   * @return bool True if pings are accepted
   */
! function pings_open( $post_id = null ) {
  
  	$_post = get_post($post_id);
  
***************
*** 816,823 ****
  	if ( !empty($post) )
  		$post_id = $post->ID;
  
! 	if ( current_user_can('unfiltered_html') )
! 		wp_nonce_field('unfiltered-html-comment_' . $post_id, '_wp_unfiltered_html_comment', false);
  }
  
  /**
--- 816,825 ----
  	if ( !empty($post) )
  		$post_id = $post->ID;
  
! 	if ( current_user_can( 'unfiltered_html' ) ) {
! 		wp_nonce_field( 'unfiltered-html-comment_' . $post_id, '_wp_unfiltered_html_comment_disabled', false );
! 		echo "<script>(function(){if(window===window.parent){document.getElementById('_wp_unfiltered_html_comment_disabled').name='_wp_unfiltered_html_comment';}})();</script>\n";
! 	}
  }
  
  /**
***************
*** 899,908 ****
  		$comments_by_type = &$wp_query->comments_by_type;
  	}
  
! 	$overridden_cpage = FALSE;
  	if ( '' == get_query_var('cpage') && get_option('page_comments') ) {
  		set_query_var( 'cpage', 'newest' == get_option('default_comments_page') ? get_comment_pages_count() : 1 );
! 		$overridden_cpage = TRUE;
  	}
  
  	if ( !defined('COMMENTS_TEMPLATE') || !COMMENTS_TEMPLATE)
--- 901,910 ----
  		$comments_by_type = &$wp_query->comments_by_type;
  	}
  
! 	$overridden_cpage = false;
  	if ( '' == get_query_var('cpage') && get_option('page_comments') ) {
  		set_query_var( 'cpage', 'newest' == get_option('default_comments_page') ? get_comment_pages_count() : 1 );
! 		$overridden_cpage = true;
  	}
  
  	if ( !defined('COMMENTS_TEMPLATE') || !COMMENTS_TEMPLATE)
***************
*** 912,918 ****
  	if ( file_exists( $include ) )
  		require( $include );
  	elseif ( file_exists( TEMPLATEPATH . $file ) )
! 		require( TEMPLATEPATH .  $file );
  	else // Backward compat code will be removed in a future release
  		require( ABSPATH . WPINC . '/theme-compat/comments.php');
  }
--- 914,920 ----
  	if ( file_exists( $include ) )
  		require( $include );
  	elseif ( file_exists( TEMPLATEPATH . $file ) )
! 		require( TEMPLATEPATH . $file );
  	else // Backward compat code will be removed in a future release
  		require( ABSPATH . WPINC . '/theme-compat/comments.php');
  }
***************
*** 1091,1097 ****
   * @since 2.7.0
   *
   * @param array $args Optional. Override default options.
!  * @param int|object $post Optional. Post that the comment is going to be displayed on.  Defaults to current post.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function get_post_reply_link($args = array(), $post = null) {
--- 1093,1099 ----
   * @since 2.7.0
   *
   * @param array $args Optional. Override default options.
!  * @param int|object $post Optional. Post that the comment is going to be displayed on. Defaults to current post.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function get_post_reply_link($args = array(), $post = null) {
***************
*** 1191,1197 ****
   * @param string $replytext Optional. Text to display when replying to a comment. Accepts "%s" for the author of the comment being replied to.
   * @param string $linktoparent Optional. Boolean to control making the author's name a link to their comment.
   */
! function comment_form_title( $noreplytext = false, $replytext = false, $linktoparent = TRUE ) {
  	global $comment;
  
  	if ( false === $noreplytext ) $noreplytext = __( 'Leave a Reply' );
--- 1193,1199 ----
   * @param string $replytext Optional. Text to display when replying to a comment. Accepts "%s" for the author of the comment being replied to.
   * @param string $linktoparent Optional. Boolean to control making the author's name a link to their comment.
   */
! function comment_form_title( $noreplytext = false, $replytext = false, $linktoparent = true ) {
  	global $comment;
  
  	if ( false === $noreplytext ) $noreplytext = __( 'Leave a Reply' );
***************
*** 1238,1244 ****
  	 * @param int $depth Depth of comment.
  	 * @param array $args Uses 'style' argument for type of HTML list.
  	 */
! 	function start_lvl(&$output, $depth, $args) {
  		$GLOBALS['comment_depth'] = $depth + 1;
  
  		switch ( $args['style'] ) {
--- 1240,1246 ----
  	 * @param int $depth Depth of comment.
  	 * @param array $args Uses 'style' argument for type of HTML list.
  	 */
! 	function start_lvl( &$output, $depth = 0, $args = array() ) {
  		$GLOBALS['comment_depth'] = $depth + 1;
  
  		switch ( $args['style'] ) {
***************
*** 1262,1268 ****
  	 * @param int $depth Depth of comment.
  	 * @param array $args Will only append content if style argument value is 'ol' or 'ul'.
  	 */
! 	function end_lvl(&$output, $depth, $args) {
  		$GLOBALS['comment_depth'] = $depth + 1;
  
  		switch ( $args['style'] ) {
--- 1264,1270 ----
  	 * @param int $depth Depth of comment.
  	 * @param array $args Will only append content if style argument value is 'ol' or 'ul'.
  	 */
! 	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		$GLOBALS['comment_depth'] = $depth + 1;
  
  		switch ( $args['style'] ) {
***************
*** 1326,1332 ****
  	 * @param int $depth Depth of comment in reference to parents.
  	 * @param array $args
  	 */
! 	function start_el(&$output, $comment, $depth, $args) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
  
--- 1328,1334 ----
  	 * @param int $depth Depth of comment in reference to parents.
  	 * @param array $args
  	 */
! 	function start_el( &$output, $comment, $depth, $args, $id = 0 ) {
  		$depth++;
  		$GLOBALS['comment_depth'] = $depth;
  
***************
*** 1386,1392 ****
  	 * @param int $depth Depth of comment.
  	 * @param array $args
  	 */
! 	function end_el(&$output, $comment, $depth, $args) {
  		if ( !empty($args['end-callback']) ) {
  			call_user_func($args['end-callback'], $comment, $args, $depth);
  			return;
--- 1388,1394 ----
  	 * @param int $depth Depth of comment.
  	 * @param array $args
  	 */
! 	function end_el(&$output, $comment, $depth = 0, $args = array() ) {
  		if ( !empty($args['end-callback']) ) {
  			call_user_func($args['end-callback'], $comment, $args, $depth);
  			return;
***************
*** 1408,1414 ****
   * @uses Walker_Comment
   *
   * @param string|array $args Formatting options
!  * @param array $comments Optional array of comment objects.  Defaults to $wp_query->comments
   */
  function wp_list_comments($args = array(), $comments = null ) {
  	global $wp_query, $comment_alt, $comment_depth, $comment_thread_alt, $overridden_cpage, $in_comment_loop;
--- 1410,1416 ----
   * @uses Walker_Comment
   *
   * @param string|array $args Formatting options
!  * @param array $comments Optional array of comment objects. Defaults to $wp_query->comments
   */
  function wp_list_comments($args = array(), $comments = null ) {
  	global $wp_query, $comment_alt, $comment_depth, $comment_thread_alt, $overridden_cpage, $in_comment_loop;
***************
*** 1517,1523 ****
  
  	$commenter = wp_get_current_commenter();
  	$user = wp_get_current_user();
! 	$user_identity = ! empty( $user->ID ) ? $user->display_name : '';
  
  	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
--- 1519,1525 ----
  
  	$commenter = wp_get_current_commenter();
  	$user = wp_get_current_user();
! 	$user_identity = $user->exists() ? $user->display_name : '';
  
  	$req = get_option( 'require_name_email' );
  	$aria_req = ( $req ? " aria-required='true'" : '' );
***************
*** 1534,1540 ****
  	$defaults = array(
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
! 		'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
  		'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
--- 1536,1542 ----
  	$defaults = array(
  		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
! 		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
  		'comment_notes_after'  => '<p class="form-allowed-tags">' . sprintf( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s' ), ' <code>' . allowed_tags() . '</code>' ) . '</p>',
***************
*** 1549,1555 ****
  	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
  
  	?>
! 		<?php if ( comments_open() ) : ?>
  			<?php do_action( 'comment_form_before' ); ?>
  			<div id="respond">
  				<h3 id="reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
--- 1551,1557 ----
  	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
  
  	?>
! 		<?php if ( comments_open( $post_id ) ) : ?>
  			<?php do_action( 'comment_form_before' ); ?>
  			<div id="respond">
  				<h3 id="reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
***************
*** 1588,1592 ****
  		<?php endif; ?>
  	<?php
  }
- 
- ?>
--- 1590,1592 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/cron.php ./wordpress-3.4/wp-includes/cron.php
*** ./wordpress-3.3.2/wp-includes/cron.php	2011-09-09 14:59:44.000000000 -0500
--- ./wordpress-3.4/wp-includes/cron.php	2012-02-14 11:53:35.000000000 -0600
***************
*** 47,53 ****
   * specific interval, specified by you. The action will trigger when someone
   * visits your WordPress site, if the scheduled time has passed.
   *
!  * Valid values for the recurrence are hourly, daily and twicedaily.  These can
   * be extended using the cron_schedules filter in wp_get_schedules().
   *
   * Use wp_next_scheduled() to prevent duplicates
--- 47,53 ----
   * specific interval, specified by you. The action will trigger when someone
   * visits your WordPress site, if the scheduled time has passed.
   *
!  * Valid values for the recurrence are hourly, daily and twicedaily. These can
   * be extended using the cron_schedules filter in wp_get_schedules().
   *
   * Use wp_next_scheduled() to prevent duplicates
***************
*** 194,201 ****
   */
  function spawn_cron( $local_time = 0 ) {
  
! 	if ( !$local_time )
! 		$local_time = time();
  
  	if ( defined('DOING_CRON') || isset($_GET['doing_wp_cron']) )
  		return;
--- 194,201 ----
   */
  function spawn_cron( $local_time = 0 ) {
  
! 	if ( ! $local_time )
! 		$local_time = microtime( true );
  
  	if ( defined('DOING_CRON') || isset($_GET['doing_wp_cron']) )
  		return;
***************
*** 226,232 ****
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		$doing_wp_cron = $local_time;
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
--- 226,232 ----
  		if ( !empty($_POST) || defined('DOING_AJAX') )
  			return;
  
! 		$doing_wp_cron = sprintf( '%.22F', $local_time );
  		set_transient( 'doing_cron', $doing_wp_cron );
  
  		ob_start();
***************
*** 241,251 ****
  		return;
  	}
  
! 	$doing_wp_cron = $local_time;
  	set_transient( 'doing_cron', $doing_wp_cron );
  
! 	$cron_url = get_option( 'siteurl' ) . '/wp-cron.php?doing_wp_cron=' . $doing_wp_cron;
! 	wp_remote_post( $cron_url, array('timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters('https_local_ssl_verify', true)) );
  }
  
  /**
--- 241,251 ----
  		return;
  	}
  
! 	$doing_wp_cron = sprintf( '%.22F', $local_time );
  	set_transient( 'doing_cron', $doing_wp_cron );
  
! 	$cron_url = site_url( 'wp-cron.php?doing_wp_cron=' . $doing_wp_cron );
! 	wp_remote_post( $cron_url, array( 'timeout' => 0.01, 'blocking' => false, 'sslverify' => apply_filters( 'https_local_ssl_verify', true ) ) );
  }
  
  /**
***************
*** 264,270 ****
  	if ( false === $crons = _get_cron_array() )
  		return;
  
! 	$local_time = time();
  	$keys = array_keys( $crons );
  	if ( isset($keys[0]) && $keys[0] > $local_time )
  		return;
--- 264,270 ----
  	if ( false === $crons = _get_cron_array() )
  		return;
  
! 	$local_time = microtime( true );
  	$keys = array_keys( $crons );
  	if ( isset($keys[0]) && $keys[0] > $local_time )
  		return;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/default-constants.php ./wordpress-3.4/wp-includes/default-constants.php
*** ./wordpress-3.3.2/wp-includes/default-constants.php	2011-09-09 14:59:44.000000000 -0500
--- ./wordpress-3.4/wp-includes/default-constants.php	2012-01-27 12:52:20.000000000 -0600
***************
*** 105,111 ****
  	 * @deprecated
  	 */
  	if ( !defined('PLUGINDIR') )
! 		define( 'PLUGINDIR', 'wp-content/plugins' ); // Relative to ABSPATH.  For back compat.
  
  	/**
  	 * Allows for the mu-plugins directory to be moved from the default location.
--- 105,111 ----
  	 * @deprecated
  	 */
  	if ( !defined('PLUGINDIR') )
! 		define( 'PLUGINDIR', 'wp-content/plugins' ); // Relative to ABSPATH. For back compat.
  
  	/**
  	 * Allows for the mu-plugins directory to be moved from the default location.
***************
*** 130,136 ****
  	 * @deprecated
  	 */
  	if ( !defined( 'MUPLUGINDIR' ) )
! 		define( 'MUPLUGINDIR', 'wp-content/mu-plugins' ); // Relative to ABSPATH.  For back compat.
  }
  
  /**
--- 130,136 ----
  	 * @deprecated
  	 */
  	if ( !defined( 'MUPLUGINDIR' ) )
! 		define( 'MUPLUGINDIR', 'wp-content/mu-plugins' ); // Relative to ABSPATH. For back compat.
  }
  
  /**
***************
*** 140,147 ****
   * @since 3.0.0
   */
  function wp_cookie_constants( ) {
- 	global $wp_default_secret_key;
- 
  	/**
  	 * Used to guarantee unique hash cookies
  	 * @since 1.5
--- 140,145 ----
***************
*** 155,166 ****
  	}
  
  	/**
- 	 * Should be exactly the same as the default value of SECRET_KEY in wp-config-sample.php
- 	 * @since 2.5.0
- 	 */
- 	$wp_default_secret_key = 'put your unique phrase here';
- 
- 	/**
  	 * @since 2.0.0
  	 */
  	if ( !defined('USER_COOKIE') )
--- 153,158 ----
***************
*** 304,308 ****
  		define( 'WP_DEFAULT_THEME', 'twentyeleven' );
  
  }
- 
- ?>
--- 296,298 ----
